Vla-put-arcsmoothness
- 構文
- (vla-put-arcsmoothness vla-object soothness)
- 機能
- 円、円弧、楕円の滑らかさを設定する。
- 引数
-
- vla-object … PViewport、Viewport の VLA オブジェクト
- soothness … 円、円弧、楕円の滑らかさの値
- 戻り値
- nil
- サンプル
(vl-load-com) (defun c:Example_ArcSmoothness() ;; 現在の ArcSmoothness 設定を取得して変更してから元に戻すサンプル (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) ;; 現在の ArcSmoothness 設定値 (setq currArcSmoothness (vla-get-ArcSmoothness (vla-get-ActiveViewport doc))) (alert (strcat "現在の ArcSmoothness 値は " (itoa currArcSmoothness))) ;; ArcSmoothness を変更 (setq newArcSmoothness 2001) (vla-put-ArcSmoothness (vla-get-ActiveViewport doc) newArcSmoothness) (alert (strcat "新しい ArcSmoothness 値は " (itoa newArcSmoothness))) ;; 元に戻す (vla-put-ArcSmoothness (vla-get-ActiveViewport doc) currArcSmoothness) (alert (strcat "ArcSmoothness 値を戻します " (itoa currArcSmoothness))) )
関連事項